com.corticon.eclipse.studio.vocabulary.core

## Interface IJavaMappingAPI

- All Superinterfaces:
    IModelAPI

      public interface IJavaMappingAPI
      extends IModelAPI

  Java Mapping API implementation. This class contains methods that support Vocabulary-to-Java (JOM) "smart mapping" by leveraging Java metadata.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getClassName(IEntity aIEntity)` Return the "best matching" class name for a given entity considering the entity and the best possible match on package name (if explicitly specified).
    `java.lang.String` | `getClassNameSmartMatch(IEntity aIEntity)` Given an entity, determine the best matching class name from the metadata if available.
    `java.lang.String` | `getObjectFieldName(IAssociationEnd aIAssociationEnd)` Return the "best matching" Field name for a given association considering the entity and the best possible match on attribute name (if explicitly specified).
    `java.lang.String` | `getObjectFieldName(IAttribute aIAttribute)` Return the "best matching" Field name for a given attibute considering the entity and the best possible match on attribute name (if explicitly specified).
    `java.lang.String` | `getObjectFieldNameGenericType(IAssociationEnd aIAssociationEnd)` Return the Generic Datatype of the Field from the Metadata
    `java.lang.String` | `getObjectFieldNameSmartMatch(IAssociationEnd aIAssociationEnd)` Given an IAssociationEnd, determine the best matching Field name from the metadata if available.
    `java.lang.String` | `getObjectFieldNameSmartMatch(IAttribute aIAttribute)` Return the "best matching" Field name for a given attibute considering the entity if available.
    `java.lang.String` | `getObjectFieldNameType(IAssociationEnd aIAssociationEnd)` Return the Datatype of the Field from the Metadata
    `java.lang.String` | `getObjectFieldNameType(IAttribute aIAttribute)` Return the Datatype of the Field from the Metadata
    `java.lang.String` | `getObjectGetMethod(IAssociationEnd aIAssociationEnd)` Return the "best matching" Getter Method for a given attibute considering the entity and the best possible match on attribute name (if explicitly specified).
    `java.lang.String` | `getObjectGetMethod(IAttribute aIAttribute)` Return the "best matching" Getter Method for a given attibute considering the entity and the best possible match on attribute name (if explicitly specified).
    `java.lang.String` | `getObjectGetMethodGenericType(IAssociationEnd aIAssociationEnd)` Return the Generic Datatype that the Getter Method needs from the Metadata
    `java.lang.String` | `getObjectGetMethodSmartMatch(IAssociationEnd aIAssociationEnd)` Given an IAssociationEnd, determine the best matching Getter Method from the metadata if available.
    `java.lang.String` | `getObjectGetMethodSmartMatch(IAttribute aIAttribute)` Given an IAttribute, determine the best matching Getter Method from the metadata if available.
    `java.lang.String` | `getObjectGetMethodType(IAssociationEnd aIAssociationEnd)` Return the Datatype that the Getter Method needs from the Metadata
    `java.lang.String` | `getObjectGetMethodType(IAttribute aIAttribute)` Return the Datatype that the Getter Method needs from the Metadata
    `java.lang.String` | `getObjectSetMethod(IAssociationEnd aIAssociationEnd)` Return the "best matching" Setter Method for a given association considering the entity and the best possible match on attribute name (if explicitly specified).
    `java.lang.String` | `getObjectSetMethod(IAttribute aIAttribute)` Return the "best matching" Setter Method for a given attibute considering the entity and the best possible match on attribute name (if explicitly specified).
    `java.lang.String` | `getObjectSetMethodGenericType(IAssociationEnd aIAssociationEnd)` Return the Generic Datatype that the Setter Method will return from the Metadata
    `java.lang.String` | `getObjectSetMethodSmartMatch(IAssociationEnd aIAssociationEnd)` Given an IAssociationEnd, determine the best matching Setter Method from the metadata if available.
    `java.lang.String` | `getObjectSetMethodSmartMatch(IAttribute aIAttribute)` Given an IAttribute, determine the best matching Setter Method from the metadata if available.
    `java.lang.String` | `getObjectSetMethodType(IAssociationEnd aIAssociationEnd)` Return the Datatype that the Setter Method will return from the Metadata
    `java.lang.String` | `getObjectSetMethodType(IAttribute aIAttribute)` Return the Datatype that the Setter Method will return from the Metadata
    `java.lang.String` | `getObjectSetMethodTypeForSpecificAssociationSetMethodName(IEntity aIEntity, java.lang.String astrSetMethodName)` This will look up the datatype based on the IEntity's associated Java Class and the specified Setter Method
    `java.lang.String` | `getObjectSetMethodTypeForSpecificAttributeSetMethodName(IEntity aIEntity, java.lang.String astrSetMethodName)` This will look up the datatype based on the IEntity's associated Java Class and the specified Setter Method
    `java.lang.String` | `getPackageName(IEntity aIEntity)` Return the "best matching" Package name for a given entity considering the entity, the class name and the package name (if explicitly specified).
    `java.lang.String` | `getPackageNameSmartMatch(IEntity aIEntity)` Given an entity, determine the best matching package name from the metadata if available.
    `boolean` | `isObjectFieldNameTypeAnArray(IAssociationEnd aIAssociationEnd)` Return a boolean that signifies whether the association type is an array.
    `boolean` | `isObjectFieldNameTypeCollection(IAssociationEnd aIAssociationEnd)` Return a boolean that signifies whether the association type is a collection.
    `boolean` | `isObjectFieldNameTypeEnum(IAttribute aIAttribute)` Return a boolean that signifies whether the attribute type is an Enum.
    `boolean` | `isObjectFieldNameTypeNoArgumentConstructor(IAssociationEnd aIAssociationEnd)` Return a boolean that signifies whether the association type is a no-argument constructor.
    `boolean` | `isObjectGetMethodTypeAnArray(IAssociationEnd aIAssociationEnd)` Return a boolean that signifies whether the association type is an array.
    `boolean` | `isObjectGetMethodTypeCollection(IAssociationEnd aIAssociationEnd)` Return a boolean that signifies whether the association type is a collection.
    `boolean` | `isObjectGetMethodTypeEnum(IAttribute aIAttribute)` Return a boolean that signifies whether the return type is an Enum.
    `boolean` | `isObjectGetMethodTypeNoArgumentConstructor(IAssociationEnd aIAssociationEnd)` Return a boolean that signifies whether the association type is a no-argument constructor.
    `boolean` | `isObjectSetMethodTypeAnArray(IAssociationEnd aIAssociationEnd)` Return a boolean that signifies whether the association type is an array.
    `boolean` | `isObjectSetMethodTypeCollection(IAssociationEnd aIAssociationEnd)` Return a boolean that signifies whether the association type is a collection.
    `boolean` | `isObjectSetMethodTypeEnum(IAttribute aIAttribute)` Return a boolean that signifies whether the argument type is an Enum.
    `boolean` | `isObjectSetMethodTypeNoArgumentConstructor(IAssociationEnd aIAssociationEnd)` Return a boolean that signifies whether the association type is a no-argument constructor.
    `void` | `setVocabularyModelAPI(IVocabularyModelAPI aIVocabularyModelAPI)` Setter for reference to Vocabulary model API (required).

    - ### Methods inherited from interface com.corticon.eclipse.core.IModelAPI

      `activate, addAnnotation, addBatchedModelListener, addLowLevelModelListener, addModelListener, addResourceListener, addView, beginTransaction, cancelTransaction, canSetSupportedLocales, closeResource, createResource, deleteAnnotation, deleteAnnotation, deleteAnnotation, deleteResource, displayMessageBox, dispose, doPostLoadValidation, doSmartValidation, endTransaction, endTransaction, flushCommandStack, formatValidationMessageLocation, formatValidationMessageText, getAllLocalesProvidingCompleteLocalization, getAnnotation, getAnnotations, getAnnotations, getAnnotations, getAPIContextObject, getAsset, getBaseAttribute, getBaseAttributeString, getBatchedModelListeners, getBuildNumber, getBuildNumberOfLastValidationRulesChange, getEditingDomain, getErrors, getErrors, getIndexByLocale, getLocale, getLocalizedAttribute, getLocalizedAttributeString, getLowLevelModelListeners, getMajorServiceNumber, getMajorVersionNumber, getMessage, getMessage, getMessageBase, getMessageBoxDelegate, getMinorServiceNumber, getMinorVersionNumber, getModelAPIState, getModelListeners, getNewResourceName, getPersistenceServicesDelegate, getPreferences, getPrimaryResource, getPrimaryResourceURI, getScrollableMessageDelegate, getSupportedLocales, getSuppressBrokenLinkValidation, getSuppressValidation, getToolTip, getUpdateStamp, getUserInterfaceInfoDelegate, getValidationMessageCount, getValidationMessageCount, getValidationMessageCount, getValidationMessageCount, getValidationMessages, getValidationMessages, getWarnings, getWarnings, handleException, hasErrors, hasErrors, hasErrors, hasErrors, hasErrors, hasErrors, hasErrorsOrWarnings, hasErrorsOrWarnings, hasErrorsOrWarnings, hasErrorsOrWarnings, hasErrorsOrWarnings, hasErrorsOrWarnings, hasWarnings, hasWarnings, hasWarnings, hasWarnings, hasWarnings, hasWarnings, isAPIStateEstablished, isEnabledRedo, isEnabledUndo, isInhibitNotification, isLoaded, isOperationModeNormal, isOperationModeRedo, isOperationModeUndo, isPassive, isPostLoadInProgress, isPrimaryResourceSet, isReadOnly, isResourceActivated, isResourceConflict, isResourceDemandLoaded, isResourceLoaded, isScrollableMessageDelegateAvailable, isShowCanonicalValidationMessages, isSuppressModifiedFlagUpdates, isSuppressPostLoad, isTransactionInProgress, isValid, isValid, loadResource, loadResource, loadResource, newInstance, noOperation, postLoad, postMethod, postMethod, postsave, preMethod, presave, redo, reloadResource, remapResource, remapResource, removeBatchedModelListener, removeLowLevelModelListener, removeModelListener, removeResource, removeResourceListener, removeView, renameResource, rollbackTransaction, saveAll, saveResource, setAnnotation, setAPIContextObject, setAPIState, setBuildNumber, setEditingDomain, setInhibitNotification, setLocale, setMajorServiceNumber, setMajorVersionNumber, setMessageBoxDelegate, setMinorServiceNumber, setMinorVersionNumber, setModelAPIState, setModelListeners, setPassive, setPersistenceServicesDelegate, setPostLoadInProgress, setPreferencesDelegate, setPrimaryResource, setReadOnly, setScrollableMessageDelegate, setSupportedLocales, setSuppressBrokenLinkValidation, setSuppressModifiedFlagUpdates, setSuppressPostLoad, setSuppressValidation, setUserInterfaceInfoDelegate, undo, unloadResource, validate, validateLicense`

- - ### Method Detail

    - #### getPackageName

          java.lang.String getPackageName(IEntity aIEntity)

      Return the "best matching" Package name for a given entity considering the entity, the class name and the package name (if explicitly specified).
      Parameters:
        `aIEntity` - Reference to entity.
      Returns:
        Best matching Java package name.

    - #### getPackageNameSmartMatch

          java.lang.String getPackageNameSmartMatch(IEntity aIEntity)

      Given an entity, determine the best matching package name from the metadata if available. If no matching name can be determined, return `null`.
      Parameters:
        `aIEntity` - Reference to entity.
      Returns:
        Best matching package name or `null`.

    - #### getClassName

          java.lang.String getClassName(IEntity aIEntity)

      Return the "best matching" class name for a given entity considering the entity and the best possible match on package name (if explicitly specified).
      Parameters:
        `aIEntity` - Reference to entity.
      Returns:
        Best matching Java class name.

    - #### getClassNameSmartMatch

          java.lang.String getClassNameSmartMatch(IEntity aIEntity)

      Given an entity, determine the best matching class name from the metadata if available. If no matching name can be determined, return `null`.
      Parameters:
        `aIEntity` - Reference to entity.
      Returns:
        Best matching class name or `null`.

    - #### getObjectGetMethod

          java.lang.String getObjectGetMethod(IAttribute aIAttribute)

      Return the "best matching" Getter Method for a given attibute considering the entity and the best possible match on attribute name (if explicitly specified).
      Parameters:
        `aIAttribute` -
      Returns:
        String Best matching method name

    - #### getObjectGetMethodSmartMatch

          java.lang.String getObjectGetMethodSmartMatch(IAttribute aIAttribute)

      Given an IAttribute, determine the best matching Getter Method from the metadata if available. If no matching name can be determined, return `null`.
      Parameters:
        `aIAttribute` - Reference to attribute.
      Returns:
        Best matching getter method name or `null`.

    - #### getObjectSetMethod

          java.lang.String getObjectSetMethod(IAttribute aIAttribute)

      Return the "best matching" Setter Method for a given attibute considering the entity and the best possible match on attribute name (if explicitly specified).
      Parameters:
        `aIAttribute` -
      Returns:
        String Best matching method name

    - #### getObjectSetMethodSmartMatch

          java.lang.String getObjectSetMethodSmartMatch(IAttribute aIAttribute)

      Given an IAttribute, determine the best matching Setter Method from the metadata if available. If no matching name can be determined, return `null`.
      Parameters:
        `aIAttribute` - Reference to attribute.
      Returns:
        Best matching getter method name or `null`.

    - #### getObjectFieldName

          java.lang.String getObjectFieldName(IAttribute aIAttribute)

      Return the "best matching" Field name for a given attibute considering the entity and the best possible match on attribute name (if explicitly specified).
      Parameters:
        `aIAttribute` -
      Returns:
        String Best matching method name

    - #### getObjectFieldNameSmartMatch

          java.lang.String getObjectFieldNameSmartMatch(IAttribute aIAttribute)

      Return the "best matching" Field name for a given attibute considering the entity if available. If no matching name can be determined, return `null`.
      Parameters:
        `aIAttribute` - Reference to attribute.
      Returns:
        Best matching getter method name or `null`.

    - #### getObjectGetMethod

          java.lang.String getObjectGetMethod(IAssociationEnd aIAssociationEnd)

      Return the "best matching" Getter Method for a given attibute considering the entity and the best possible match on attribute name (if explicitly specified).
      Parameters:
        `aIAssociationEnd` -
      Returns:
        String Best matching method name

    - #### getObjectGetMethodSmartMatch

          java.lang.String getObjectGetMethodSmartMatch(IAssociationEnd aIAssociationEnd)

      Given an IAssociationEnd, determine the best matching Getter Method from the metadata if available. If no matching name can be determined, return `null`.
      Parameters:
        `IAssociationEnd` - Reference to attribute.
      Returns:
        Best matching getter method name or `null`.

    - #### getObjectSetMethod

          java.lang.String getObjectSetMethod(IAssociationEnd aIAssociationEnd)

      Return the "best matching" Setter Method for a given association considering the entity and the best possible match on attribute name (if explicitly specified).
      Parameters:
        `aIAssociationEnd` -
      Returns:
        String Best matching method name

    - #### getObjectSetMethodSmartMatch

          java.lang.String getObjectSetMethodSmartMatch(IAssociationEnd aIAssociationEnd)

      Given an IAssociationEnd, determine the best matching Setter Method from the metadata if available. If no matching name can be determined, return `null`.
      Parameters:
        `IAssociationEnd` - Reference to association end.
      Returns:
        Best matching getter method name or `null`.

    - #### getObjectFieldName

          java.lang.String getObjectFieldName(IAssociationEnd aIAssociationEnd)

      Return the "best matching" Field name for a given association considering the entity and the best possible match on attribute name (if explicitly specified).
      Parameters:
        `aIAssociationEnd` -
      Returns:
        String Best matching method name

    - #### getObjectFieldNameSmartMatch

          java.lang.String getObjectFieldNameSmartMatch(IAssociationEnd aIAssociationEnd)

      Given an IAssociationEnd, determine the best matching Field name from the metadata if available. If no matching name can be determined, return `null`.
      Parameters:
        `IAssociationEnd` - Reference to association end.
      Returns:
        Best matching getter method name or `null`.

    - #### getObjectGetMethodType

          java.lang.String getObjectGetMethodType(IAttribute aIAttribute)

      Return the Datatype that the Getter Method needs from the Metadata
      Parameters:
        `aIAttribute` -
      Returns:
        String

    - #### getObjectSetMethodType

          java.lang.String getObjectSetMethodType(IAttribute aIAttribute)

      Return the Datatype that the Setter Method will return from the Metadata
      Parameters:
        `aIAttribute` -
      Returns:
        String

    - #### getObjectFieldNameType

          java.lang.String getObjectFieldNameType(IAttribute aIAttribute)

      Return the Datatype of the Field from the Metadata
      Parameters:
        `aIAttribute` -
      Returns:
        String

    - #### getObjectGetMethodType

          java.lang.String getObjectGetMethodType(IAssociationEnd aIAssociationEnd)

      Return the Datatype that the Getter Method needs from the Metadata
      Parameters:
        `aIAssociationEnd` -
      Returns:
        String

    - #### getObjectSetMethodType

          java.lang.String getObjectSetMethodType(IAssociationEnd aIAssociationEnd)

      Return the Datatype that the Setter Method will return from the Metadata
      Parameters:
        `aIAssociationEnd` -
      Returns:
        String

    - #### getObjectFieldNameType

          java.lang.String getObjectFieldNameType(IAssociationEnd aIAssociationEnd)

      Return the Datatype of the Field from the Metadata
      Parameters:
        `aIAssociationEnd` -
      Returns:
        String

    - #### getObjectGetMethodGenericType

          java.lang.String getObjectGetMethodGenericType(IAssociationEnd aIAssociationEnd)

      Return the Generic Datatype that the Getter Method needs from the Metadata
      Parameters:
        `aIAssociationEnd` -
      Returns:
        String

    - #### getObjectSetMethodGenericType

          java.lang.String getObjectSetMethodGenericType(IAssociationEnd aIAssociationEnd)

      Return the Generic Datatype that the Setter Method will return from the Metadata
      Parameters:
        `aIAssociationEnd` -
      Returns:
        String

    - #### getObjectFieldNameGenericType

          java.lang.String getObjectFieldNameGenericType(IAssociationEnd aIAssociationEnd)

      Return the Generic Datatype of the Field from the Metadata
      Parameters:
        `aIAssociationEnd` -
      Returns:
        String

    - #### isObjectGetMethodTypeAnArray

          boolean isObjectGetMethodTypeAnArray(IAssociationEnd aIAssociationEnd)

      Return a boolean that signifies whether the association type is an array.
      Parameters:
        `aIAssociationEnd` - Association end to test.
      Returns:
        `true` if test value true.

    - #### isObjectSetMethodTypeAnArray

          boolean isObjectSetMethodTypeAnArray(IAssociationEnd aIAssociationEnd)

      Return a boolean that signifies whether the association type is an array.
      Parameters:
        `aIAssociationEnd` - Association end to test.
      Returns:
        `true` if test value true.

    - #### isObjectFieldNameTypeAnArray

          boolean isObjectFieldNameTypeAnArray(IAssociationEnd aIAssociationEnd)

      Return a boolean that signifies whether the association type is an array.
      Parameters:
        `aIAssociationEnd` - Association end to test.
      Returns:
        `true` if test value true.

    - #### isObjectGetMethodTypeCollection

          boolean isObjectGetMethodTypeCollection(IAssociationEnd aIAssociationEnd)

      Return a boolean that signifies whether the association type is a collection.
      Parameters:
        `aIAssociationEnd` - Association end to test.
      Returns:
        `true` if test value true.

    - #### isObjectSetMethodTypeCollection

          boolean isObjectSetMethodTypeCollection(IAssociationEnd aIAssociationEnd)

      Return a boolean that signifies whether the association type is a collection.
      Parameters:
        `aIAssociationEnd` - Association end to test.
      Returns:
        `true` if test value true.

    - #### isObjectFieldNameTypeCollection

          boolean isObjectFieldNameTypeCollection(IAssociationEnd aIAssociationEnd)

      Return a boolean that signifies whether the association type is a collection.
      Parameters:
        `aIAssociationEnd` - Association end to test.
      Returns:
        `true` if test value true.

    - #### isObjectGetMethodTypeEnum

          boolean isObjectGetMethodTypeEnum(IAttribute aIAttribute)

      Return a boolean that signifies whether the return type is an Enum.
      Parameters:
        `aIAttribute` - Attribute to test.
      Returns:
        `true` if test value true.

    - #### isObjectSetMethodTypeEnum

          boolean isObjectSetMethodTypeEnum(IAttribute aIAttribute)

      Return a boolean that signifies whether the argument type is an Enum.
      Parameters:
        `aIAttribute` - Attribute to test.
      Returns:
        `true` if test value true.

    - #### isObjectFieldNameTypeEnum

          boolean isObjectFieldNameTypeEnum(IAttribute aIAttribute)

      Return a boolean that signifies whether the attribute type is an Enum.
      Parameters:
        `aIAttribute` - Attribute to test.
      Returns:
        `true` if test value true.

    - #### isObjectGetMethodTypeNoArgumentConstructor

          boolean isObjectGetMethodTypeNoArgumentConstructor(IAssociationEnd aIAssociationEnd)

      Return a boolean that signifies whether the association type is a no-argument constructor.
      Parameters:
        `aIAssociationEnd` - Association end to test.
      Returns:
        `true` if test value true.

    - #### isObjectSetMethodTypeNoArgumentConstructor

          boolean isObjectSetMethodTypeNoArgumentConstructor(IAssociationEnd aIAssociationEnd)

      Return a boolean that signifies whether the association type is a no-argument constructor.
      Parameters:
        `aIAssociationEnd` - Association end to test.
      Returns:
        `true` if test value true.

    - #### isObjectFieldNameTypeNoArgumentConstructor

          boolean isObjectFieldNameTypeNoArgumentConstructor(IAssociationEnd aIAssociationEnd)

      Return a boolean that signifies whether the association type is a no-argument constructor.
      Parameters:
        `aIAssociationEnd` - Association end to test.
      Returns:
        `true` if test value true.

    - #### getObjectSetMethodTypeForSpecificAttributeSetMethodName

          java.lang.String getObjectSetMethodTypeForSpecificAttributeSetMethodName(IEntity aIEntity,
                                                                                 java.lang.String astrSetMethodName)

      This will look up the datatype based on the IEntity's associated Java Class and the specified Setter Method
      Parameters:
        `aIEntity` -
        `astrSetMethodName` -
      Returns:

    - #### getObjectSetMethodTypeForSpecificAssociationSetMethodName

          java.lang.String getObjectSetMethodTypeForSpecificAssociationSetMethodName(IEntity aIEntity,
                                                                                   java.lang.String astrSetMethodName)

      This will look up the datatype based on the IEntity's associated Java Class and the specified Setter Method
      Parameters:
        `aIEntity` -
        `astrSetMethodName` -
      Returns:

    - #### setVocabularyModelAPI

          void setVocabularyModelAPI(IVocabularyModelAPI aIVocabularyModelAPI)

      Setter for reference to Vocabulary model API (required).
      Parameters:
        `aIVocabularyModelAPI` - Vocabulary model API instance.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.